summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-board/xscrabble
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-board/xscrabble')
-rw-r--r--games-board/xscrabble/Manifest3
-rw-r--r--games-board/xscrabble/files/xscrabble-2.10-build.patch13
-rw-r--r--games-board/xscrabble/files/xscrabble-2.10-path-fixes.patch35
-rw-r--r--games-board/xscrabble/metadata.xml8
-rw-r--r--games-board/xscrabble/xscrabble-2.10-r1.ebuild58
5 files changed, 117 insertions, 0 deletions
diff --git a/games-board/xscrabble/Manifest b/games-board/xscrabble/Manifest
new file mode 100644
index 00000000000..82f3026a812
--- /dev/null
+++ b/games-board/xscrabble/Manifest
@@ -0,0 +1,3 @@
+DIST xscrabble-2.10.tgz 83575 SHA256 a496804b62ad4bd95792505c3f6dbb9fce33cc49aa38ad36c4a812f7e1e2dff1 SHA512 38137b3dfd3156c3748719136a30fbc7f04910538bdbdec3e9d50e3efe326ab7119a45171e0fa2cd95cd81f0642070e2e011c165284766eb7a14bd7d2aa660db WHIRLPOOL 04e19a5d5d88ff978705bbddf895c57b22054f019b9cc43f9ecdc2ee902eceefbfdd6e3c05d0d7960d80813ebc182dd6a2ba196be5e699b95197e7839a7e74c2
+DIST xscrabble_en.tgz 393527 SHA256 8bd52efeb50419e310f7a4c436045c3028903a197294bd8af0eab32093074fb0 SHA512 05e4bca6ec2a9b7698f5c266bf5cede574cbef87883d7cac6dc35084fa2976dcd23f3a2215b674b9f36d7c170e6af021c3ec0884f06c9803cd67ec300651ac41 WHIRLPOOL 4523746f692f2a7a2b985705785f550991eb99b8339b865152b5e473f5c6cfa187cd1e77ffb2ae1d43218ebfe300cd0c4d49b1428d167cda0b12ab7cbb23fa34
+DIST xscrabble_fr.tgz 810737 SHA256 9a27b610e789362c3678fee27891cef8ca682be7cedea1b6d26895ec0c171b4a SHA512 f5425fa8bffec57e6eff16a3d33ae4569fc00343e0ed5e4f4e1e189ed02a5be7416c1549b1978042e030efbfb3a484abcac9479e7fe43de929b11d8ccf8ea3e1 WHIRLPOOL f62db76e3bc720e7667a903d04fb04e2ff1dfe4274668cfb153ee21889b8248b855ca8719cd33e3c43601399e4c3859dfc23f37a1b66291d64c238fd7bc1b99f
diff --git a/games-board/xscrabble/files/xscrabble-2.10-build.patch b/games-board/xscrabble/files/xscrabble-2.10-build.patch
new file mode 100644
index 00000000000..7d5214c7db3
--- /dev/null
+++ b/games-board/xscrabble/files/xscrabble-2.10-build.patch
@@ -0,0 +1,13 @@
+respect compiler, ldflags and cflags
+
+--- build
++++ build
+@@ -36,7 +36,7 @@
+ #define RULES_FILE \"$LIBDIR/en/scrabble_rules\"
+ " > src/config.h
+ xmkmf -a
+- make
++ make CC="${CC}" CCOPTIONS="${CFLAGS}" LOCAL_LDFLAGS="${LDFLAGS}"
+ echo "
+ Now, type './build install' to install programs in $BINDIR
+ "
diff --git a/games-board/xscrabble/files/xscrabble-2.10-path-fixes.patch b/games-board/xscrabble/files/xscrabble-2.10-path-fixes.patch
new file mode 100644
index 00000000000..27a18689b1e
--- /dev/null
+++ b/games-board/xscrabble/files/xscrabble-2.10-path-fixes.patch
@@ -0,0 +1,35 @@
+--- build
++++ build
+@@ -1,9 +1,10 @@
+ #!/bin/sh
+
+ # Install defaults
+-APPDEFAULTS=/usr/lib/X11/app-defaults
+-BINDIR=/usr/games/bin
+-LIBDIR=/usr/games/lib/scrabble
++APPDEFAULTS=$DESTDIR/usr/$LIBDIR/X11/app-defaults
++REAL_APPDEFAULTS=/usr/$LIBDIR/X11/app-defaults
++BINDIR=$DESTDIR/usr/games/bin
++LIBDIR=$DESTDIR/usr/share/games/xscrabble
+
+ # Version (don't modify without knowing!!)
+ MAJOR=2
+@@ -53,6 +54,7 @@
+
+ if test "$1" = "install" ; then
+ mkdirhier $BINDIR
++ mkdir -p $APPDEFAULTS
+ echo "mkdirhier $BINDIR"
+ install -c -s src/xscrab $BINDIR
+ echo "install -c -s src/xscrab $BINDIR"
+@@ -90,8 +92,8 @@
+ echo "mv -f xscrabble_$2/app-defaults/XScrabble_$2 $APPDEFAULTS"
+ rm -f $APPDEFAULTS/XScrabble
+ echo "rm -f $APPDEFAULTS/XScrabble"
+- ln -fs $APPDEFAULTS/XScrabble_$2 $APPDEFAULTS/XScrabble
+- echo "ln -fs $APPDEFAULTS/XScrabble_$2 $APPDEFAULTS/XScrabble"
++ ln -fs $REAL_APPDEFAULTS/XScrabble_$2 $APPDEFAULTS/XScrabble
++ echo "ln -fs $REAL_APPDEFAULTS/XScrabble_$2 $APPDEFAULTS/XScrabble"
+ chmod a+rwx $LIBDIR/$2
+ chmod a+rw $LIBDIR/$2/scrabble_scores
+ rm -rf xscrabble_$2
diff --git a/games-board/xscrabble/metadata.xml b/games-board/xscrabble/metadata.xml
new file mode 100644
index 00000000000..c6ffe72d4ad
--- /dev/null
+++ b/games-board/xscrabble/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <upstream>
+ <remote-id type="freshmeat">xscrabble</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/games-board/xscrabble/xscrabble-2.10-r1.ebuild b/games-board/xscrabble/xscrabble-2.10-r1.ebuild
new file mode 100644
index 00000000000..e1c779a3ec9
--- /dev/null
+++ b/games-board/xscrabble/xscrabble-2.10-r1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils multilib games
+
+DESCRIPTION="An X11 clone of the well-known Scrabble"
+HOMEPAGE="http://freshmeat.net/projects/xscrabble/?topic_id=80"
+SRC_URI="ftp://ftp.ac-grenoble.fr/ge/educational_games/${P}.tgz
+ linguas_fr? ( ftp://ftp.ac-grenoble.fr/ge/educational_games/xscrabble_fr.tgz )
+ ftp://ftp.ac-grenoble.fr/ge/educational_games/xscrabble_en.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="linguas_fr"
+
+RDEPEND="x11-libs/libXaw
+ x11-libs/libXp"
+DEPEND="${RDEPEND}
+ x11-misc/gccmakedep
+ x11-misc/imake"
+
+src_unpack() {
+ unpack ${P}.tgz
+ cp "${DISTDIR}"/xscrabble_en.tgz .
+ use linguas_fr && cp "${DISTDIR}"/xscrabble_fr.tgz .
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-path-fixes.patch \
+ "${FILESDIR}"/${P}-build.patch
+ sed -i '/install/s/-s //' build || die "sed failed"
+}
+
+src_compile() {
+ ./build bin || die "build failed"
+}
+
+src_install() {
+ local f
+ export DESTDIR="${D}" LIBDIR="$(get_libdir)"
+ ./build install || die "install failed"
+ if use linguas_fr ; then
+ ./build lang fr || die "fr failed"
+ fi
+ ./build lang en || die "en failed"
+ for f in "${D}"/usr/"${LIBDIR}"/X11/app-defaults/* ; do
+ [[ -L ${f} ]] && continue
+ sed -i \
+ -e "s:/usr/games/lib/scrabble/:${GAMES_DATADIR}/${PN}/:" \
+ -e "s:fr/eng:fr/en:" \
+ ${f} || die "sed ${f} failed"
+ done
+ dodoc CHANGES README
+ prepgamesdirs
+}